<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">
<h:head>
    <title>Добавить ресурс UAPI</title>
</h:head>
<h:body>
    <f:facet name="last">
        <h:outputStylesheet library="css" name="primefaces-override.css"/>
    </f:facet>
    <h:form>
        <p:growl id="error" showDetail="false"/>
        <p:outputPanel id="TReferenceGroupDetail" style="text-align:center;" autoUpdate="true">
            <p:panelGrid columns="4">
                <h:outputLabel value="Код объекта"/>
                <h:inputText  value="#{referencegroupview.concreetTReferenceGroup.objectCode}" readonly="false" disabled="true"/>

                <h:outputLabel value="Объект: " />
                <h:inputText maxlength="40" value="#{referencegroupview.concreetTReferenceGroup.object}" requiredMessage="Введите объект" style="background-color: yellow;" required="true"/>

                <h:outputLabel value="Описание" />
                <h:inputText   maxlength="200" value="#{referencegroupview.concreetTReferenceGroup.description}" readonly="false" style="background-color: #d4d4d1;"/>

                <p:outputLabel for="console" value="Разрешенные действия:" />
                <p:selectOneMenu id="console" value="#{referencegroupview.concreetTReferenceGroup.action}" requiredMessage="Выберите действия" panelStyleClass="required-style-selectonemenu-panel" styleClass="required-style-selectonemenu-label"  style="width:125px;"  required="true">
                    <f:selectItem itemLabel="S – информационные запросы" itemValue="S" />
                    <f:selectItem itemLabel="M – запросы на модификацию " itemValue="M"/>
                    <f:selectItem itemLabel="SM - разрешены и информационные, и запросы на модификацию" itemValue="SM" />
                </p:selectOneMenu>

            </p:panelGrid>
        </p:outputPanel>
        <div>
        <p:separator/>
        <p:commandButton value="Сохранить" ajax="false" action="#{referencegroupview.saveFocusedRow}" styleClass="submitButton"/>
        <p:commandButton ajax="false" value="Отменить" action="#{referencegroupview.close}" immediate="true" styleClass="cancelButton"/>
    </div>
    </h:form>
</h:body>
</html>

